Register Access Methods

This group of methods provide access to read and write to the sensor's registers. More...

## Functions

VnError | VnSensor_readBinaryOutput1 (VnSensor *sensor, BinaryOutputRegister *fields)
| Reads the Binary Output 1 register. More...
VnError | VnSensor_writeBinaryOutput1 (VnSensor *sensor, BinaryOutputRegister *fields, bool waitForReply)
| Writes to the Binary Output 1 register. More...
VnError | VnSensor_readBinaryOutput2 (VnSensor *sensor, BinaryOutputRegister *fields)
| Reads the Binary Output 2 register. More...
VnError | VnSensor_writeBinaryOutput2 (VnSensor *sensor, BinaryOutputRegister *fields, bool waitForReply)
| Writes to the Binary Output 2 register. More...
VnError | VnSensor_readBinaryOutput3 (VnSensor *sensor, BinaryOutputRegister *fields)
| Reads the Binary Output 3 register. More...
VnError | VnSensor_writeBinaryOutput3 (VnSensor *sensor, BinaryOutputRegister *fields, bool waitForReply)
| Writes to the Binary Output 3 register. More...
VnError | VnSensor_readUserTag (VnSensor *sensor, char *tagBuffer, size_t tagBufferLength)
| Reads the User Tag register. More...
VnError | VnSensor_writeUserTag (VnSensor *sensor, char *tag, bool waitForReply)
| Writes to the User Tag register. More...
VnError | VnSensor_readModelNumber (VnSensor *sensor, char *productNameBuffer, size_t productNameBufferLength)
| Reads the Model Number register. More...
VnError | VnSensor_readHardwareRevision (VnSensor *sensor, uint32_t *revision)
| Reads the Hardware Revision register. More...
VnError | VnSensor_readSerialNumber (VnSensor *sensor, uint32_t *serialNum)
| Reads the Serial Number register. More...
VnError | VnSensor_readFirmwareVersion (VnSensor *sensor, char *firmwareVersionBuffer, size_t firmwareVersionBufferLength)
| Reads the Firmware Version register. More...
VnError | VnSensor_readSerialBaudRate (VnSensor *sensor, uint32_t *baudrate)
| Reads the Serial Baud Rate register. More...
VnError | VnSensor_writeSerialBaudRate (VnSensor *sensor, uint32_t baudrate, bool waitForReply)
| Writes to the Serial Baud Rate register. More...
VnError | VnSensor_readAsyncDataOutputType (VnSensor *sensor, VnAsciiAsync *ador)
| Reads the Async Data Output Type register. More...
VnError | VnSensor_writeAsyncDataOutputType (VnSensor *sensor, VnAsciiAsync ador, bool waitForReply)
| Writes to the Async Data Output Type register. More...
VnError | VnSensor_readAsyncDataOutputFrequency (VnSensor *sensor, uint32_t *adof)
| Reads the Async Data Output Frequency register. More...
VnError | VnSensor_writeAsyncDataOutputFrequency (VnSensor *sensor, uint32_t adof, bool waitForReply)
| Writes to the Async Data Output Frequency register. More...
VnError | VnSensor_readYawPitchRoll (VnSensor *sensor, vec3f *yawPitchRoll)
| Reads the Yaw Pitch Roll register. More...
VnError | VnSensor_readAttitudeQuaternion (VnSensor *sensor, vec4f *quat)
| Reads the Attitude Quaternion register. More...
VnError | VnSensor_readQuaternionMagneticAccelerationAndAngularRates (VnSensor *sensor, QuaternionMagneticAccelerationAndAngularRatesRegister *fields)
| Reads the Quaternion, Magnetic, Acceleration and Angular Rates register. More...
VnError | VnSensor_readMagneticMeasurements (VnSensor *sensor, vec3f *mag)
| Reads the Magnetic Measurements register. More...
VnError | VnSensor_readAccelerationMeasurements (VnSensor *sensor, vec3f *accel)
| Reads the Acceleration Measurements register. More...
VnError | VnSensor_readAngularRateMeasurements (VnSensor *sensor, vec3f *gyro)
| Reads the Angular Rate Measurements register. More...
VnError | VnSensor_readMagneticAccelerationAndAngularRates (VnSensor *sensor, MagneticAccelerationAndAngularRatesRegister *fields)
| Reads the Magnetic, Acceleration and Angular Rates register. More...
VnError | VnSensor_readMagneticAndGravityReferenceVectors (VnSensor *sensor, MagneticAndGravityReferenceVectorsRegister *fields)
| Reads the Magnetic and Gravity Reference Vectors register. More...
VnError | VnSensor_writeMagneticAndGravityReferenceVectors (VnSensor *sensor, MagneticAndGravityReferenceVectorsRegister fields, bool waitForReply)
| Writes to the Magnetic and Gravity Reference Vectors register. More...
VnError | VnSensor_readMagnetometerCompensation (VnSensor *sensor, MagnetometerCompensationRegister *fields)
| Reads the Magnetometer Compensation register. More...
VnError | VnSensor_writeMagnetometerCompensation (VnSensor *sensor, MagnetometerCompensationRegister fields, bool waitForReply)
| Writes to the Magnetometer Compensation register. More...
VnError | VnSensor_readAccelerationCompensation (VnSensor *sensor, AccelerationCompensationRegister *fields)
| Reads the Acceleration Compensation register. More...
VnError | VnSensor_writeAccelerationCompensation (VnSensor *sensor, AccelerationCompensationRegister fields, bool waitForReply)
| Writes to the Acceleration Compensation register. More...
VnError | VnSensor_readReferenceFrameRotation (VnSensor *sensor, mat3f *c)
| Reads the Reference Frame Rotation register. More...
VnError | VnSensor_writeReferenceFrameRotation (VnSensor *sensor, mat3f c, bool waitForReply)
| Writes to the Reference Frame Rotation register. More...
VnError | VnSensor_readYawPitchRollMagneticAccelerationAndAngularRates (VnSensor *sensor, YawPitchRollMagneticAccelerationAndAngularRatesRegister *fields)
| Reads the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register. More...
VnError | VnSensor_readCommunicationProtocolControl (VnSensor *sensor, CommunicationProtocolControlRegister *fields)
| Reads the Communication Protocol Control register. More...
VnError | VnSensor_writeCommunicationProtocolControl (VnSensor *sensor, CommunicationProtocolControlRegister fields, bool waitForReply)
| Writes to the Communication Protocol Control register. More...
VnError | VnSensor_readSynchronizationControl (VnSensor *sensor, SynchronizationControlRegister *fields)
| Reads the Synchronization Control register. More...
VnError | VnSensor_writeSynchronizationControl (VnSensor *sensor, SynchronizationControlRegister fields, bool waitForReply)
| Writes to the Synchronization Control register. More...
VnError | VnSensor_readSynchronizationStatus (VnSensor *sensor, SynchronizationStatusRegister *fields)
| Reads the Synchronization Status register. More...
VnError | VnSensor_writeSynchronizationStatus (VnSensor *sensor, SynchronizationStatusRegister fields, bool waitForReply)
| Writes to the Synchronization Status register. More...
VnError | VnSensor_readVpeBasicControl (VnSensor *sensor, VpeBasicControlRegister *fields)
| Reads the VPE Basic Control register. More...
VnError | VnSensor_writeVpeBasicControl (VnSensor *sensor, VpeBasicControlRegister fields, bool waitForReply)
| Writes to the VPE Basic Control register. More...
VnError | VnSensor_readVpeMagnetometerBasicTuning (VnSensor *sensor, VpeMagnetometerBasicTuningRegister *fields)
| Reads the VPE Magnetometer Basic Tuning register. More...
VnError | VnSensor_writeVpeMagnetometerBasicTuning (VnSensor *sensor, VpeMagnetometerBasicTuningRegister fields, bool waitForReply)
| Writes to the VPE Magnetometer Basic Tuning register. More...
VnError | VnSensor_readVpeAccelerometerBasicTuning (VnSensor *sensor, VpeAccelerometerBasicTuningRegister *fields)
| Reads the VPE Accelerometer Basic Tuning register. More...
VnError | VnSensor_writeVpeAccelerometerBasicTuning (VnSensor *sensor, VpeAccelerometerBasicTuningRegister fields, bool waitForReply)
| Writes to the VPE Accelerometer Basic Tuning register. More...
VnError | VnSensor_readMagnetometerCalibrationControl (VnSensor *sensor, MagnetometerCalibrationControlRegister *fields)
| Reads the Magnetometer Calibration Control register. More...
VnError | VnSensor_writeMagnetometerCalibrationControl (VnSensor *sensor, MagnetometerCalibrationControlRegister fields, bool waitForReply)
| Writes to the Magnetometer Calibration Control register. More...
VnError | VnSensor_readCalculatedMagnetometerCalibration (VnSensor *sensor, CalculatedMagnetometerCalibrationRegister *fields)
| Reads the Calculated Magnetometer Calibration register. More...
VnError | VnSensor_readVelocityCompensationMeasurement (VnSensor *sensor, vec3f *velocity)
| Reads the Velocity Compensation Measurement register. More...
VnError | VnSensor_writeVelocityCompensationMeasurement (VnSensor *sensor, vec3f velocity, bool waitForReply)
| Writes to the Velocity Compensation Measurement register. More...
VnError | VnSensor_readVelocityCompensationControl (VnSensor *sensor, VelocityCompensationControlRegister *fields)
| Reads the Velocity Compensation Control register. More...
VnError | VnSensor_writeVelocityCompensationControl (VnSensor *sensor, VelocityCompensationControlRegister fields, bool waitForReply)
| Writes to the Velocity Compensation Control register. More...
VnError | VnSensor_readImuMeasurements (VnSensor *sensor, ImuMeasurementsRegister *fields)
| Reads the IMU Measurements register. More...
VnError | VnSensor_readGpsConfiguration (VnSensor *sensor, GpsConfigurationRegister *fields)
| Reads the GPS Configuration register. More...
VnError | VnSensor_writeGpsConfiguration (VnSensor *sensor, GpsConfigurationRegister fields, bool waitForReply)
| Writes to the GPS Configuration register. More...
VnError | VnSensor_readGpsAntennaOffset (VnSensor *sensor, vec3f *position)
| Reads the GPS Antenna Offset register. More...
VnError | VnSensor_writeGpsAntennaOffset (VnSensor *sensor, vec3f position, bool waitForReply)
| Writes to the GPS Antenna Offset register. More...
VnError | VnSensor_readGpsSolutionLla (VnSensor *sensor, GpsSolutionLlaRegister *fields)
| Reads the GPS Solution - LLA register. More...
VnError | VnSensor_readGpsSolutionEcef (VnSensor *sensor, GpsSolutionEcefRegister *fields)
| Reads the GPS Solution - ECEF register. More...
VnError | VnSensor_readInsSolutionLla (VnSensor *sensor, InsSolutionLlaRegister *fields)
| Reads the INS Solution - LLA register. More...
VnError | VnSensor_readInsSolutionEcef (VnSensor *sensor, InsSolutionEcefRegister *fields)
| Reads the INS Solution - ECEF register. More...
VnError | VnSensor_readInsBasicConfigurationVn200 (VnSensor *sensor, InsBasicConfigurationRegisterVn200 *fields)
| Reads the INS Basic Configuration register for a VN-200 sensor. More...
VnError | VnSensor_writeInsBasicConfigurationVn200 (VnSensor *sensor, InsBasicConfigurationRegisterVn200 fields, bool waitForReply)
| Writes to the INS Basic Configuration register for a VN-200 sensor. More...
VnError | VnSensor_readInsBasicConfigurationVn300 (VnSensor *sensor, InsBasicConfigurationRegisterVn300 *fields)
| Reads the INS Basic Configuration register for a VN-300 sensor. More...
VnError | VnSensor_writeInsBasicConfigurationVn300 (VnSensor *sensor, InsBasicConfigurationRegisterVn300 fields, bool waitForReply)
| Writes to the INS Basic Configuration register for a VN-300 sensor. More...
VnError | VnSensor_readInsStateLla (VnSensor *sensor, InsStateLlaRegister *fields)
| Reads the INS State - LLA register. More...
VnError | VnSensor_readInsStateEcef (VnSensor *sensor, InsStateEcefRegister *fields)
| Reads the INS State - ECEF register. More...
VnError | VnSensor_readStartupFilterBiasEstimate (VnSensor *sensor, StartupFilterBiasEstimateRegister *fields)
| Reads the Startup Filter Bias Estimate register. More...
VnError | VnSensor_writeStartupFilterBiasEstimate (VnSensor *sensor, StartupFilterBiasEstimateRegister fields, bool waitForReply)
| Writes to the Startup Filter Bias Estimate register. More...
VnError | VnSensor_readDeltaThetaAndDeltaVelocity (VnSensor *sensor, DeltaThetaAndDeltaVelocityRegister *fields)
| Reads the Delta Theta and Delta Velocity register. More...
VnError | VnSensor_readDeltaThetaAndDeltaVelocityConfiguration (VnSensor *sensor, DeltaThetaAndDeltaVelocityConfigurationRegister *fields)
| Reads the Delta Theta and Delta Velocity Configuration register. More...
VnError | VnSensor_writeDeltaThetaAndDeltaVelocityConfiguration (VnSensor *sensor, DeltaThetaAndDeltaVelocityConfigurationRegister fields, bool waitForReply)
| Writes to the Delta Theta and Delta Velocity Configuration register. More...
VnError | VnSensor_readReferenceVectorConfiguration (VnSensor *sensor, ReferenceVectorConfigurationRegister *fields)
| Reads the Reference Vector Configuration register. More...
VnError | VnSensor_writeReferenceVectorConfiguration (VnSensor *sensor, ReferenceVectorConfigurationRegister fields, bool waitForReply)
| Writes to the Reference Vector Configuration register. More...
VnError | VnSensor_readGyroCompensation (VnSensor *sensor, GyroCompensationRegister *fields)
| Reads the Gyro Compensation register. More...
VnError | VnSensor_writeGyroCompensation (VnSensor *sensor, GyroCompensationRegister fields, bool waitForReply)
| Writes to the Gyro Compensation register. More...
VnError | VnSensor_readImuFilteringConfiguration (VnSensor *sensor, ImuFilteringConfigurationRegister *fields)
| Reads the IMU Filtering Configuration register. More...
VnError | VnSensor_writeImuFilteringConfiguration (VnSensor *sensor, ImuFilteringConfigurationRegister fields, bool waitForReply)
| Writes to the IMU Filtering Configuration register. More...
VnError | VnSensor_readGpsCompassBaseline (VnSensor *sensor, GpsCompassBaselineRegister *fields)
| Reads the GPS Compass Baseline register. More...
VnError | VnSensor_writeGpsCompassBaseline (VnSensor *sensor, GpsCompassBaselineRegister fields, bool waitForReply)
| Writes to the GPS Compass Baseline register. More...
VnError | VnSensor_readGpsCompassEstimatedBaseline (VnSensor *sensor, GpsCompassEstimatedBaselineRegister *fields)
| Reads the GPS Compass Estimated Baseline register. More...
VnError | VnSensor_readYawPitchRollTrueBodyAccelerationAndAngularRates (VnSensor *sensor, YawPitchRollTrueBodyAccelerationAndAngularRatesRegister *fields)
| Reads the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register. More...
VnError | VnSensor_readYawPitchRollTrueInertialAccelerationAndAngularRates (VnSensor *sensor, YawPitchRollTrueInertialAccelerationAndAngularRatesRegister *fields)
| Reads the Yaw, Pitch, Roll, True Inertial Acceleration and Angular Rates register. More...

## Detailed Description

This group of methods provide access to read and write to the sensor's registers.

## Function Documentation

VnError VnSensor_readAccelerationCompensation | ( | VnSensor * | sensor,
|  | AccelerationCompensationRegister * | fields
| ) |  |

Reads the Acceleration Compensation register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readAccelerationMeasurements | ( | VnSensor * | sensor,
|  | vec3f * | accel
| ) |  |

Reads the Acceleration Measurements register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

VnError VnSensor_readAngularRateMeasurements | ( | VnSensor * | sensor,
|  | vec3f * | gyro
| ) |  |

Reads the Angular Rate Measurements register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

VnError VnSensor_readAsyncDataOutputFrequency | ( | VnSensor * | sensor,
|  | uint32_t * | adof
| ) |  |

Reads the Async Data Output Frequency register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

Examples:
  sensor/main.c.

VnError VnSensor_readAsyncDataOutputType | ( | VnSensor * | sensor,
|  | VnAsciiAsync * | ador
| ) |  |

Reads the Async Data Output Type register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

Examples:
  sensor/main.c.

VnError VnSensor_readAttitudeQuaternion | ( | VnSensor * | sensor,
|  | vec4f * | quat
| ) |  |

Reads the Attitude Quaternion register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

VnError VnSensor_readBinaryOutput1 | ( | VnSensor * | sensor,
|  | BinaryOutputRegister * | fields
| ) |  |

Reads the Binary Output 1 register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readBinaryOutput2 | ( | VnSensor * | sensor,
|  | BinaryOutputRegister * | fields
| ) |  |

Reads the Binary Output 2 register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readBinaryOutput3 | ( | VnSensor * | sensor,
|  | BinaryOutputRegister * | fields
| ) |  |

Reads the Binary Output 3 register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readCalculatedMagnetometerCalibration | ( | VnSensor * | sensor,
|  | CalculatedMagnetometerCalibrationRegister * | fields
| ) |  |

Reads the Calculated Magnetometer Calibration register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readCommunicationProtocolControl | ( | VnSensor * | sensor,
|  | CommunicationProtocolControlRegister * | fields
| ) |  |

Reads the Communication Protocol Control register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readDeltaThetaAndDeltaVelocity | ( | VnSensor * | sensor,
|  | DeltaThetaAndDeltaVelocityRegister * | fields
| ) |  |

Reads the Delta Theta and Delta Velocity register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readDeltaThetaAndDeltaVelocityConfiguration | ( | VnSensor * | sensor,
|  | DeltaThetaAndDeltaVelocityConfigurationRegister * | fields
| ) |  |

Reads the Delta Theta and Delta Velocity Configuration register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readFirmwareVersion | ( | VnSensor * | sensor,
|  | char * | firmwareVersionBuffer,
|  | size_t | firmwareVersionBufferLength
| ) |  |

Reads the Firmware Version register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | firmwareVersionBuffer | Buffer to place the read register value.
  [in] | firmwareVersionBufferLength | Length of the provided buffer.

Returns
  Any errors encountered.

VnError VnSensor_readGpsAntennaOffset | ( | VnSensor * | sensor,
|  | vec3f * | position
| ) |  |

Reads the GPS Antenna Offset register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

VnError VnSensor_readGpsCompassBaseline | ( | VnSensor * | sensor,
|  | GpsCompassBaselineRegister * | fields
| ) |  |

Reads the GPS Compass Baseline register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readGpsCompassEstimatedBaseline | ( | VnSensor * | sensor,
|  | GpsCompassEstimatedBaselineRegister * | fields
| ) |  |

Reads the GPS Compass Estimated Baseline register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readGpsConfiguration | ( | VnSensor * | sensor,
|  | GpsConfigurationRegister * | fields
| ) |  |

Reads the GPS Configuration register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readGpsSolutionEcef | ( | VnSensor * | sensor,
|  | GpsSolutionEcefRegister * | fields
| ) |  |

Reads the GPS Solution - ECEF register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readGpsSolutionLla | ( | VnSensor * | sensor,
|  | GpsSolutionLlaRegister * | fields
| ) |  |

Reads the GPS Solution - LLA register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readGyroCompensation | ( | VnSensor * | sensor,
|  | GyroCompensationRegister * | fields
| ) |  |

Reads the Gyro Compensation register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readHardwareRevision | ( | VnSensor * | sensor,
|  | uint32_t * | revision
| ) |  |

Reads the Hardware Revision register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

VnError VnSensor_readImuFilteringConfiguration | ( | VnSensor * | sensor,
|  | ImuFilteringConfigurationRegister * | fields
| ) |  |

Reads the IMU Filtering Configuration register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readImuMeasurements | ( | VnSensor * | sensor,
|  | ImuMeasurementsRegister * | fields
| ) |  |

Reads the IMU Measurements register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readInsBasicConfigurationVn200 | ( | VnSensor * | sensor,
|  | InsBasicConfigurationRegisterVn200 * | fields
| ) |  |

Reads the INS Basic Configuration register for a VN-200 sensor.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readInsBasicConfigurationVn300 | ( | VnSensor * | sensor,
|  | InsBasicConfigurationRegisterVn300 * | fields
| ) |  |

Reads the INS Basic Configuration register for a VN-300 sensor.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readInsSolutionEcef | ( | VnSensor * | sensor,
|  | InsSolutionEcefRegister * | fields
| ) |  |

Reads the INS Solution - ECEF register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readInsSolutionLla | ( | VnSensor * | sensor,
|  | InsSolutionLlaRegister * | fields
| ) |  |

Reads the INS Solution - LLA register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readInsStateEcef | ( | VnSensor * | sensor,
|  | InsStateEcefRegister * | fields
| ) |  |

Reads the INS State - ECEF register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readInsStateLla | ( | VnSensor * | sensor,
|  | InsStateLlaRegister * | fields
| ) |  |

Reads the INS State - LLA register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readMagneticAccelerationAndAngularRates | ( | VnSensor * | sensor,
|  | MagneticAccelerationAndAngularRatesRegister * | fields
| ) |  |

Reads the Magnetic, Acceleration and Angular Rates register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readMagneticAndGravityReferenceVectors | ( | VnSensor * | sensor,
|  | MagneticAndGravityReferenceVectorsRegister * | fields
| ) |  |

Reads the Magnetic and Gravity Reference Vectors register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readMagneticMeasurements | ( | VnSensor * | sensor,
|  | vec3f * | mag
| ) |  |

Reads the Magnetic Measurements register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

VnError VnSensor_readMagnetometerCalibrationControl | ( | VnSensor * | sensor,
|  | MagnetometerCalibrationControlRegister * | fields
| ) |  |

Reads the Magnetometer Calibration Control register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readMagnetometerCompensation | ( | VnSensor * | sensor,
|  | MagnetometerCompensationRegister * | fields
| ) |  |

Reads the Magnetometer Compensation register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readModelNumber | ( | VnSensor * | sensor,
|  | char * | productNameBuffer,
|  | size_t | productNameBufferLength
| ) |  |

Reads the Model Number register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | productNameBuffer | Buffer to place the read register value.
  [in] | productNameBufferLength | Length of the provided buffer.

Returns
  Any errors encountered.

Examples:
  sensor/main.c.

VnError VnSensor_readQuaternionMagneticAccelerationAndAngularRates | ( | VnSensor * | sensor,
|  | QuaternionMagneticAccelerationAndAngularRatesRegister * | fields
| ) |  |

Reads the Quaternion, Magnetic, Acceleration and Angular Rates register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readReferenceFrameRotation | ( | VnSensor * | sensor,
|  | mat3f * | c
| ) |  |

Reads the Reference Frame Rotation register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

VnError VnSensor_readReferenceVectorConfiguration | ( | VnSensor * | sensor,
|  | ReferenceVectorConfigurationRegister * | fields
| ) |  |

Reads the Reference Vector Configuration register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readSerialBaudRate | ( | VnSensor * | sensor,
|  | uint32_t * | baudrate
| ) |  |

Reads the Serial Baud Rate register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

VnError VnSensor_readSerialNumber | ( | VnSensor * | sensor,
|  | uint32_t * | serialNum
| ) |  |

Reads the Serial Number register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

VnError VnSensor_readStartupFilterBiasEstimate | ( | VnSensor * | sensor,
|  | StartupFilterBiasEstimateRegister * | fields
| ) |  |

Reads the Startup Filter Bias Estimate register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readSynchronizationControl | ( | VnSensor * | sensor,
|  | SynchronizationControlRegister * | fields
| ) |  |

Reads the Synchronization Control register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readSynchronizationStatus | ( | VnSensor * | sensor,
|  | SynchronizationStatusRegister * | fields
| ) |  |

Reads the Synchronization Status register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readUserTag | ( | VnSensor * | sensor,
|  | char * | tagBuffer,
|  | size_t | tagBufferLength
| ) |  |

Reads the User Tag register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | tagBuffer | Buffer to place the read register value.
  [in] | tagBufferLength | Length of the provided buffer.

Returns
  Any errors encountered.

VnError VnSensor_readVelocityCompensationControl | ( | VnSensor * | sensor,
|  | VelocityCompensationControlRegister * | fields
| ) |  |

Reads the Velocity Compensation Control register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readVelocityCompensationMeasurement | ( | VnSensor * | sensor,
|  | vec3f * | velocity
| ) |  |

Reads the Velocity Compensation Measurement register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

VnError VnSensor_readVpeAccelerometerBasicTuning | ( | VnSensor * | sensor,
|  | VpeAccelerometerBasicTuningRegister * | fields
| ) |  |

Reads the VPE Accelerometer Basic Tuning register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readVpeBasicControl | ( | VnSensor * | sensor,
|  | VpeBasicControlRegister * | fields
| ) |  |

Reads the VPE Basic Control register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

Examples:
  sensor/main.c.

VnError VnSensor_readVpeMagnetometerBasicTuning | ( | VnSensor * | sensor,
|  | VpeMagnetometerBasicTuningRegister * | fields
| ) |  |

Reads the VPE Magnetometer Basic Tuning register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readYawPitchRoll | ( | VnSensor * | sensor,
|  | vec3f * | yawPitchRoll
| ) |  |

Reads the Yaw Pitch Roll register.

Parameters

  [in] | sensor | The associated VnSensor.

Returns
  Any errors encountered.

Examples:
  sensor/main.c.

VnError VnSensor_readYawPitchRollMagneticAccelerationAndAngularRates | ( | VnSensor * | sensor,
|  | YawPitchRollMagneticAccelerationAndAngularRatesRegister * | fields
| ) |  |

Reads the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

Examples:
  sensor/main.c.

VnError VnSensor_readYawPitchRollTrueBodyAccelerationAndAngularRates | ( | VnSensor * | sensor,
|  | YawPitchRollTrueBodyAccelerationAndAngularRatesRegister * | fields
| ) |  |

Reads the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_readYawPitchRollTrueInertialAccelerationAndAngularRates | ( | VnSensor * | sensor,
|  | YawPitchRollTrueInertialAccelerationAndAngularRatesRegister * | fields
| ) |  |

Reads the Yaw, Pitch, Roll, True Inertial Acceleration and Angular Rates register.

Parameters

  [in] | sensor | The associated VnSensor.
  [out] | fields | The register's values.

Returns
  Any errors encountered.

VnError VnSensor_writeAccelerationCompensation | ( | VnSensor * | sensor,
|  | AccelerationCompensationRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Acceleration Compensation register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeAsyncDataOutputFrequency | ( | VnSensor * | sensor,
|  | uint32_t | adof,
|  | bool | waitForReply
| ) |  |

Writes to the Async Data Output Frequency register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | adof | The value to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

Examples:
  sensor/main.c.

VnError VnSensor_writeAsyncDataOutputType | ( | VnSensor * | sensor,
|  | VnAsciiAsync | ador,
|  | bool | waitForReply
| ) |  |

Writes to the Async Data Output Type register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | ador | The value to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

Examples:
  ez_async_data/main.c, and sensor/main.c.

VnError VnSensor_writeBinaryOutput1 | ( | VnSensor * | sensor,
|  | BinaryOutputRegister * | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Binary Output 1 register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The register's fields.
  [in] | waitForReply | Indicates if the method should wait for a response from the sensor.

Returns
  Any errors encountered.

Examples:
  sensor/main.c.

VnError VnSensor_writeBinaryOutput2 | ( | VnSensor * | sensor,
|  | BinaryOutputRegister * | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Binary Output 2 register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The register's fields.
  [in] | waitForReply | Indicates if the method should wait for a response from the sensor.

Returns
  Any errors encountered.

VnError VnSensor_writeBinaryOutput3 | ( | VnSensor * | sensor,
|  | BinaryOutputRegister * | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Binary Output 3 register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The register's fields.
  [in] | waitForReply | Indicates if the method should wait for a response from the sensor.

Returns
  Any errors encountered.

VnError VnSensor_writeCommunicationProtocolControl | ( | VnSensor * | sensor,
|  | CommunicationProtocolControlRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Communication Protocol Control register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeDeltaThetaAndDeltaVelocityConfiguration | ( | VnSensor * | sensor,
|  | DeltaThetaAndDeltaVelocityConfigurationRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Delta Theta and Delta Velocity Configuration register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeGpsAntennaOffset | ( | VnSensor * | sensor,
|  | vec3f | position,
|  | bool | waitForReply
| ) |  |

Writes to the GPS Antenna Offset register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | position | The value to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeGpsCompassBaseline | ( | VnSensor * | sensor,
|  | GpsCompassBaselineRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the GPS Compass Baseline register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeGpsConfiguration | ( | VnSensor * | sensor,
|  | GpsConfigurationRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the GPS Configuration register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeGyroCompensation | ( | VnSensor * | sensor,
|  | GyroCompensationRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Gyro Compensation register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeImuFilteringConfiguration | ( | VnSensor * | sensor,
|  | ImuFilteringConfigurationRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the IMU Filtering Configuration register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeInsBasicConfigurationVn200 | ( | VnSensor * | sensor,
|  | InsBasicConfigurationRegisterVn200 | fields,
|  | bool | waitForReply
| ) |  |

Writes to the INS Basic Configuration register for a VN-200 sensor.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeInsBasicConfigurationVn300 | ( | VnSensor * | sensor,
|  | InsBasicConfigurationRegisterVn300 | fields,
|  | bool | waitForReply
| ) |  |

Writes to the INS Basic Configuration register for a VN-300 sensor.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeMagneticAndGravityReferenceVectors | ( | VnSensor * | sensor,
|  | MagneticAndGravityReferenceVectorsRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Magnetic and Gravity Reference Vectors register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeMagnetometerCalibrationControl | ( | VnSensor * | sensor,
|  | MagnetometerCalibrationControlRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Magnetometer Calibration Control register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeMagnetometerCompensation | ( | VnSensor * | sensor,
|  | MagnetometerCompensationRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Magnetometer Compensation register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeReferenceFrameRotation | ( | VnSensor * | sensor,
|  | mat3f | c,
|  | bool | waitForReply
| ) |  |

Writes to the Reference Frame Rotation register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | c | The value to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeReferenceVectorConfiguration | ( | VnSensor * | sensor,
|  | ReferenceVectorConfigurationRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Reference Vector Configuration register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeSerialBaudRate | ( | VnSensor * | sensor,
|  | uint32_t | baudrate,
|  | bool | waitForReply
| ) |  |

Writes to the Serial Baud Rate register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | baudrate | The value to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeStartupFilterBiasEstimate | ( | VnSensor * | sensor,
|  | StartupFilterBiasEstimateRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Startup Filter Bias Estimate register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeSynchronizationControl | ( | VnSensor * | sensor,
|  | SynchronizationControlRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Synchronization Control register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeSynchronizationStatus | ( | VnSensor * | sensor,
|  | SynchronizationStatusRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Synchronization Status register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeUserTag | ( | VnSensor * | sensor,
|  | char * | tag,
|  | bool | waitForReply
| ) |  |

Writes to the User Tag register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | tag | The value to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeVelocityCompensationControl | ( | VnSensor * | sensor,
|  | VelocityCompensationControlRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the Velocity Compensation Control register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeVelocityCompensationMeasurement | ( | VnSensor * | sensor,
|  | vec3f | velocity,
|  | bool | waitForReply
| ) |  |

Writes to the Velocity Compensation Measurement register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | velocity | The value to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeVpeAccelerometerBasicTuning | ( | VnSensor * | sensor,
|  | VpeAccelerometerBasicTuningRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the VPE Accelerometer Basic Tuning register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

VnError VnSensor_writeVpeBasicControl | ( | VnSensor * | sensor,
|  | VpeBasicControlRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the VPE Basic Control register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.

Examples:
  sensor/main.c.

VnError VnSensor_writeVpeMagnetometerBasicTuning | ( | VnSensor * | sensor,
|  | VpeMagnetometerBasicTuningRegister | fields,
|  | bool | waitForReply
| ) |  |

Writes to the VPE Magnetometer Basic Tuning register.

Parameters

  [in] | sensor | The associated VnSensor.
  [in] | fields | The values to write to the register.
  [in] | waitForReply | Set to `true` to wait for a response from the sensor; otherwise set to `false` to just immediately send the command and return.

Returns
  Any errors encountered.